# Update as needed for newer xulrunner
# We hardcode this here because everytime xulrunner increments
# it tends to break things that depend on it.
%define xulver 1.9.2.3
%define svndate 20101026
%define svnver 529

Summary:	Telnet client designed for BBS browsing
Name:		pcmanx-gtk2
Version:	0.3.9
Release:	8.%{?svndate}svn%{?dist}
License:	GPLv2+
Group:		Applications/Internet
#Source0:   http://pcmanx-gtk2.googlecode.com/svn/website/release/%{name}-%{version}.tar.bz2

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r %{svnver} http://pcmanx-gtk2.googlecode.com/svn/trunk/ pcmanx-gtk2-%{svndate}
#  tar -cjvf pcmanx-gtk2-%{svndate}.tar.bz2 pcmanx-gtk2-%{svndate}
Source0:	%{name}-%{svndate}.tar.bz2
Source1:	pcmanx.desktop
# Detect xpidl on Fedora (and set MOZILLA_LIB_ROOT properly)
Patch0:		%{name}-0.3.9-Fedora-xpidl.patch
# The idldir in our libxul already has "stable" in it.
Patch1:		%{name}-0.3.9-Fedora-idldir.patch
# Fix building with libnotify 0.7.0
Patch2:		%{name}-0.3.9-libnotify.patch
URL:		http://code.google.com/p/pcmanx-gtk2/
BuildRequires:	gtk2-devel libXft-devel
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	desktop-file-utils gettext
# required for generating configure script
BuildRequires:	libtool intltool
# plugin (disable by default, can't work on gecko 1.9.2 temporarily) 
%{?_with_plugin:BuildRequires:	xulrunner-devel}
%{!?_with_plugin:Obsoletes:	pcmanx-gtk2-xulrunner-plugin < %{version}-%{release}}

%description
An easy-to-use telnet client mainly targets BBS users.

PCMan X is a newly developed GPL'd version of PCMan, a full-featured
famous BBS client formerly designed for MS Windows only.  It aimed to
be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.

%{?_with_plugin:
%package xulrunner-plugin
Summary:	Mozilla/Firefox/XULRunner telnet plugin using PCManX
Requires:	%{name} = %{version}-%{release}
Requires:	xulrunner = %{xulver}
Group:		Applications/Internet
License:	MPLv1.1 or GPLv2+ or LGPLv2+

%description xulrunner-plugin
Mozilla/Firefox/XULRunner plugin for PCManX. This plugin adds support for 
telnet:// protocol to your Mozilla based browser. The protocol engine is 
done by PCManX and the output window is embedded in a webpage in the browser 
window. 
}

%prep
%setup -q -n %{name}-%{svndate}
%patch0 -p1 -b .xpidl
%patch1 -p1 -b .idldir
%patch2 -p1 -b .libnotify

sed -i '/INCLUDES = \\/a \ \ -I\/usr\/include\/nspr4 \\' plugin/src/Makefile.am

%build
./autogen.sh
%configure --disable-shared \
	--enable-libnotify \
	--enable-wget \
	--enable-iplookup \
%{?_with_plugin:--enable-plugin} \
	--enable-proxy
make %{?_smp_mflags}

%install
make install INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

#remove .la .so files
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.so
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.a

%{?_with_plugin:
# Set the plugin +x so we can get debuginfo from it.
chmod +x $RPM_BUILD_ROOT%{_libdir}/xulrunner-*/plugins/*.so

# Make a symlink so firefox sees the plugin.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/
cd $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/
ln -s ../../xulrunner-*/plugins/pcmanx-plugin.so pcmanx-plugin.so
}

%find_lang pcmanx

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pcmanx.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%dir %{_datadir}/pcmanx
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pcmanx/*
%{_datadir}/pixmaps/*.png

%{?_with_plugin:
%files xulrunner-plugin
%defattr(-,root,root,-)
%{_libdir}/xulrunner-*/components/*
%{_libdir}/xulrunner-*/plugins/pcmanx-plugin.so
%{_libdir}/mozilla/plugins/*.so*
}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-8.20101026svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Chen Lei <supercyper@163.com> - 0.3.9-7.20101026svn
- disable building shared libraries
- svn 529

* Fri Jun 18 2010 Chen Lei <supercyper@163.com> - 0.3.9-6.20100618svn
- several changes according to the review
- disable plugin by default
- svn 525

* Tue Jun 01 2010 Chen Lei <supercyper@163.com> - 0.3.9-5.20100601svn
- svn 523

* Sat Mar 27 2010 Chen Lei <supercyper@163.com> - 0.3.9-4.20100326svn
- svn 514
- remove obsolete patches

* Mon Feb 22 2010 Chen Lei <supercyper@163.com> - 0.3.9-3.20100222svn
- svn 501
- resolves: #513527

* Thu Feb 18 2010 <jhorak@redhat.com> - 0.3.9-2.20100210svn
- Rebuild against newer gecko

* Wed Feb 10 2010 Chen Lei <supercyper@163.com> - 0.3.9-1.20100210svn
- svn 500
- remove obsolete patches

* Wed Dec 16 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-11
- Rebuild against newer gecko

* Thu Nov 05 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-10
- Rebuild against newer gecko

* Tue Oct 27 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-9
- Rebuild against newer gecko

* Wed Sep 09 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-8
- Rebuild against newer gecko

* Tue Aug 04 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-7
- Rebuild against newer gecko

* Thu Jul 23 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-6
- Rebuild against newer gecko

* Wed Mar 5 2009 Caolán McNamara <caolanm@redhat.com> 0.3.8-5
- include stdio.h for perror

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 7 2009 Martin Stransky <stransky@redhat.com> - 0.3.8-3
- updated for xulrunner 1.9.1

* Thu Sep 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-2
- rebuild against xulrunner 1.9.0.2

* Wed Aug 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-1
- update to 0.3.8
- build and package mozilla/firefox/xulrunner plugin
